<?php

//Layout Start
$settings = array(
	'type'			=> 'toggle_section',
	'label'			=> esc_html__( 'Layout', 'miion' ),
	'section_stat'	=> true
);
MiionCustomizerConfig::buildFields( $settings );

//Team Template
$settings = array(
	'id'			=> 'team-page-template',
	'type'			=> 'radioimage',
	'title'			=> esc_html__( 'Team Template', 'miion' ),
	'description'	=> esc_html__( 'Choose your current team single outer template.', 'miion' ),
	'default'		=> 'no-sidebar',
	'items' 		=> array(
		'no-sidebar'	=> MIION_ADMIN_URL . '/customizer/assets/images/page-layouts/1.png',
		'right-sidebar'	=> MIION_ADMIN_URL . '/customizer/assets/images/page-layouts/2.png',
		'left-sidebar'	=> MIION_ADMIN_URL . '/customizer/assets/images/page-layouts/3.png',
		'both-sidebar'	=> MIION_ADMIN_URL . '/customizer/assets/images/page-layouts/4.png'		
	),
	'cols'			=> '4',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Left Sidebar
$settings = array(
	'id'			=> 'team-left-sidebar',
	'type'			=> 'sidebars',
	'title'			=> esc_html__( 'Left Sidebar', 'miion' ),
	'description'	=> esc_html__( 'Select widget area for showing on left side.', 'miion' ),
	'default'		=> 'sidebar-1',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Right Sidebar
$settings = array(
	'id'			=> 'team-right-sidebar',
	'type'			=> 'sidebars',
	'title'			=> esc_html__( 'Right Sidebar', 'miion' ),
	'description'	=> esc_html__( 'Select widget area for showing on right side.', 'miion' ),
	'default'		=> 'sidebar-1',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Custom Post Type Team Layout
$settings = array(
	'id'			=> 'cpt-team-layout',
	'type'			=> 'select',
	'title'			=> esc_html__( 'Team Layout', 'miion' ),
	'description'	=> esc_html__( 'Select single team layout model.', 'miion' ),
	'choices' 		=> array(
			'default' 		=> esc_html__( 'Default', 'miion' ),
			'classic' 		=> esc_html__( 'Classic', 'miion' ),
			'modern' 		=> esc_html__( 'Modern', 'miion' )
	),
	'default'		=> 'default',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Custom Post Type Team Settings
$settings = array(
	'id'			=> 'team-title-opt',
	'type'			=> 'toggle',
	'title'			=> esc_html__( 'Team Title', 'miion' ),
	'description'	=> esc_html__( 'Enable/Disable page title on single team page.', 'miion' ),
	'default'		=> 0,
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Layout End
$settings = array(
	'type'			=> 'toggle_section',
	'section_stat'	=> false
);
MiionCustomizerConfig::buildFields( $settings );

//Advanced Start
$settings = array(
	'type'			=> 'toggle_section',
	'label'			=> esc_html__( 'Advanced', 'miion' ),
	'section_stat'	=> true
);
MiionCustomizerConfig::buildFields( $settings );

//Custom Post Type Team Slug
$settings = array(
	'id'			=> 'cpt-team-slug',
	'type'			=> 'text',
	'title'			=> esc_html__( 'Team Slug', 'miion' ),
	'description'	=> esc_html__( 'Enter team slug for register custom post type, after entered new slug click Publish button. Then go to WordPress Settings -> Permalinks -> Click save changes button to regenerate the permalinks.', 'miion' ),
	'default'		=> 'team',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Sidebar on Mobile
$settings = array(
	'id'			=> 'team-page-hide-sidebar',
	'type'			=> 'toggle',
	'title'			=> esc_html__( 'Sidebar on Mobile', 'miion' ),
	'description'	=> esc_html__( 'Enable/Disable to show or hide sidebar on mobile.', 'miion' ),
	'default'		=> 0,
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Advanced End
$settings = array(
	'type'			=> 'toggle_section',
	'section_stat'	=> false
);
MiionCustomizerConfig::buildFields( $settings );